<template>
  <el-main>
    <el-form ref="form" :model="form" label-width="100px">
      <el-form-item label="案由">
        <el-input v-model="form.causePoint" placeholder="请填写案由"></el-input>
      </el-form-item>
      <el-form-item label="时间">
        <el-date-picker
          style="width: 100%"
          v-model="value1"
          type="datetimerange"
          :value-format="`yyyy-MM-dd HH:mm:ss`"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="地址">
        <el-input v-model="form.site" placeholder="请填写地址"></el-input>
      </el-form-item>
      <el-row>
        <el-col :span="10">
          <el-form-item label="被询问人">
            <el-input v-model="form.interrogeeName" placeholder="请填写被询问人姓名"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="7">
          <el-form-item label="性别" label-width="60px">
            <el-input v-model="form.interrogeeSex" placeholder="请填写被询问人性别"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="7">
          <el-form-item label="年龄" label-width="60px">
            <el-input v-model="form.interrogeeAge" placeholder="请填写被询问人年龄"></el-input>
          </el-form-item>
        </el-col>
      </el-row>

      <el-form-item label="住址">
        <el-input v-model="form.interrogeeAddress" placeholder="请填写被询问人住址"></el-input>
      </el-form-item>

      <el-form-item label="身份证号码">
        <el-input v-model="form.interrogeeCardNo" placeholder="请填写被询问人身份证号"></el-input>
      </el-form-item>

      <el-form-item label="工作单位">
        <el-input v-model="form.interrogeeUnit" placeholder="请填写被询问人工作单位"></el-input>
      </el-form-item>

      <el-row>
        <el-col :span="12">
          <el-form-item label="职位">
            <el-input v-model="form.interrogeeDuty" placeholder="请填写被询问人职位"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="电话" label-width="60px">
            <el-input v-model="form.interrogeePhone" placeholder="请填写被询问人电话"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="邮政编码">
        <el-input v-model="form.interrogeePostcode" placeholder="请填写被询问人邮政编码"></el-input>
      </el-form-item>
      <el-row>
        <el-col :span="12">
          <el-form-item label="询问人">
            <el-input v-model="form.inquisitorialNameOne" placeholder="请填写询问人"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="执法证号">
            <el-input v-model="form.inquirerNumberOne" placeholder="请填写询问人执法证号"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item>
            <el-input v-model="form.inquisitorialNameTwo" placeholder="请填写询问人"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item>
            <el-input v-model="form.inquirerNumberTwo" placeholder="请填写询问人执法证号"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item class="qianzi">
        <span>表明身份、出示证件：我们是峰峰矿区综合行政执法局的行政执法人员，这是执法证件请你过目确认，如无异议请在此签字：</span>
        <!--        <el-input v-model="form.interrogeeName" placeholder="请填写被询问人" style="width: 160px!important;"></el-input>-->

        <div id="imges">
          <button v-if="form.signature ==''||form.signature ==null" @click="goQianzi()">去签名</button>
          <button v-if="form.fingerprint ==''||form.fingerprint ==null" @click="gozhiwen()">录指纹</button>
          <el-image v-if="form.signature !=''" style="height: 3em!important;width: 3em!important;"
                    :src="form.signature" alt="请签字"/>
          <el-image v-if="form.fingerprint !=''" :class="form.fingerprint?'imgBox':''"
                    style="height: 2em!important;width: 2em!important;" :src="form.fingerprint" alt="请录入指纹"/>
        </div>
      </el-form-item>
      <el-form-item>
        <span>告知权利、义务：现在就</span>
        <el-input v-model="form.causePoint" placeholder="请填写案件名称"></el-input>
        <span>一案，依法对你进行询问，请你如实回答问题，如说假话或作伪证是要负法律责任的，对与本案无关的问题，你有拒绝回答的权利；你有陈述和申辩的权利；根据《中华人民共和国行政处罚法》第四十三条第二款之规定，如果你认为办案人员与本案有直接利害关系，可能影响公正处理案件的，有提出回避的权利，清楚了吗？</span>
      </el-form-item>
      <el-form-item label="答：">
        <el-input v-model="form.answer" placeholder="可能影响公正处理案件的，有提出回避的权利，清楚了吗？"></el-input>
      </el-form-item>
      <h1 style="text-align: center;font-weight: bold;font-size: 20px">询问问答</h1>
      <el-form-item label-width="40px">
        <ul style="list-style: none!important;">
          <li v-for="(item,index) in form.questionsAnswers" :key="index">
            <el-form-item label="问：" label-width="20px">
              <el-input type="textarea" :row="2" v-model="item.wen"></el-input>
            </el-form-item>
            <el-form-item label="答：" label-width="20px">
              <el-input type="textarea" :row="2" v-model="item.da"></el-input>
            </el-form-item>
          </li>
        </ul>
      </el-form-item>
      <el-form-item label-width="50%">
        <el-button type="primary" icon="el-icon-circle-plus" @click="addEle">
          <!--          <img src="../../../assets/lawImg/addIcon.png" alt="">-->
        </el-button>
      </el-form-item>
    </el-form>
    <div style="text-align: center">
      <el-button v-if="form.approvalState==null||form.approvalState=='2'" @click="dataFormSubmit('0')">保存</el-button>
      <el-button type="primary" @click="viewVord(form.id)">预览</el-button>
      <el-button v-if="form.approvalState=='1'" type="success" @click="downloadWord(form.id)">下载</el-button>
    </div>
  </el-main>
</template>

<script>
import { inquiry, inquiryquestion} from '../../../api/News/pad'
import {blwo} from "../../../api/News/word";

export default {
  name: "mangeBL",
  data() {
    return {
      id: '',
      value1: [],
      arrays: "",
      form: {
        causePoint: "",
        startTime: "",
        endTime: "",
        site: "",
        interrogeeName: "",
        interrogeeSex: "",
        interrogeeAge: "",
        interrogeeAddress: "",
        interrogeeCardNo: "",
        interrogeeUnit: "",
        interrogeeDuty: "",
        interrogeePhone: "",
        interrogeePostcode: "",
        inquirerNameOne: "",
        inquirerNumberOne: "",
        inquirerNameTwo: "",
        inquirerNumberTwo: "",
        answer: "",
        questionsAnswers: [
          {
            wen: '',
            da: '',
          }
        ],
        fingerprint: "",
      },
    }
  },
  mounted() {
    this.id = this.$store.state.user.id
    console.log(this.id, 'id')
    this.getDataList()
    window.getSignUrl = this.getSignUrl;
    window.getFingerUrl = this.getFingerUrl;
// this.getSignUrl();
  },
  /*mounted() {
      console.log(this.id,'id=================')
  },*/
  methods: {
    getDataList() {
      inquiryquestion(this.id).then(res => {
        console.log(res, 'res')
        this.form = res.data.data
        this.value1.push(res.data.data.startTime)
        this.value1.push(res.data.data.endTime)
      })
    },
    // 点击添加
    addEle() {
      this.form.questionsAnswers.push({
        wen: '',
        da: '',
      });
    },
    getSignUrl(url) {
      this.form.signature = url;
    },
    getFingerUrl(url1) {
      this.form.fingerprint = url1;
    },
    //点击跳转签字页面
    goQianzi() {
      window.android.toSign();
    },
    gozhiwen() {
      window.android.toFinger();
    },
    //点击保存数据
    dataFormSubmit() {
      this.form.startTime = this.value1[0]
      this.form.endTime = this.value1[1]
      this.form.registerId = this.id
      inquiry(this.form).then(res => {
        if (res.data.code == 0) {
          this.$message.success("保存成功");
        }
      })
    },
    //点击预览
    viewVord(data) {
      blwo(data).then(res => {
        console.log(res.data.data, 'res.data.data')
        // this.form.questionsAnswers[0].wen =res.data.data
        this.arrays = res.data.data.split(',')[1]
        window.android.toPreviewWord(this.arrays)
      })
    },
    //点击下载
    downloadWord(data) {
      blwo(data).then(res => {
        // console.log(this.form.id)
        this.arrays = res.data.data.split(',')[0]
        window.android.toDownLoadWord(this.arrays)
      })
    },
    // 遍历数据
    transforData(obj) {
      let s = JSON.stringify(obj);
      let data = JSON.parse(s);

      let str = JSON.stringify(data);
      let jsonData = JSON.parse(str);
      data = jsonData;

      if (data.startTime != '' && data.startTime != null) {
        data.startTime = moment(data.startTime).format('YYYY年MM月DD日HH时mm分');
      } else {
        data.startTime = '  年  月  日  时  分'
      }

      if (data.endTime != '' && data.endTime != null) {
        data.endTime = moment(data.endTime).format('HH时mm分');
      } else {
        data.endTime = '  时  分'
      }
    }
  },
}
</script>

<style lang="scss" scoped>
//.qianzi {
//display: flex;
/*justify-content: space-between;*/
//align-items: center;
/*flex-wrap: wrap;*/
//}
.el-input {
  border: none !important;
}

/*.el-image{
  width: 10rem!important;
  height: 10rem!important;
}*/
#imges {
  display: block;
  position: relative;

  .imgBox {
    position: absolute !important;
    left: 0;
    top: 50%;
  }
}

</style>
